<?php
$tdatareporte_de__pagos = array();
$tdatareporte_de__pagos[".searchableFields"] = array();
$tdatareporte_de__pagos[".ShortName"] = "reporte_de__pagos";
$tdatareporte_de__pagos[".OwnerID"] = "";
$tdatareporte_de__pagos[".OriginalTable"] = "acciones_pago";


$tdatareporte_de__pagos[".pagesByType"] = my_json_decode( "{\"report\":[\"report\"],\"rprint\":[\"rprint\"],\"search\":[\"search\"]}" );
$tdatareporte_de__pagos[".originalPagesByType"] = $tdatareporte_de__pagos[".pagesByType"];
$tdatareporte_de__pagos[".pages"] = types2pages( my_json_decode( "{\"report\":[\"report\"],\"rprint\":[\"rprint\"],\"search\":[\"search\"]}" ) );
$tdatareporte_de__pagos[".originalPages"] = $tdatareporte_de__pagos[".pages"];
$tdatareporte_de__pagos[".defaultPages"] = my_json_decode( "{\"report\":\"report\",\"rprint\":\"rprint\",\"search\":\"search\"}" );
$tdatareporte_de__pagos[".originalDefaultPages"] = $tdatareporte_de__pagos[".defaultPages"];

//	field labels
$fieldLabelsreporte_de__pagos = array();
$fieldToolTipsreporte_de__pagos = array();
$pageTitlesreporte_de__pagos = array();
$placeHoldersreporte_de__pagos = array();

if(mlang_getcurrentlang()=="Spanish")
{
	$fieldLabelsreporte_de__pagos["Spanish"] = array();
	$fieldToolTipsreporte_de__pagos["Spanish"] = array();
	$placeHoldersreporte_de__pagos["Spanish"] = array();
	$pageTitlesreporte_de__pagos["Spanish"] = array();
	$fieldLabelsreporte_de__pagos["Spanish"]["id_Pago"] = "Id Pago";
	$fieldToolTipsreporte_de__pagos["Spanish"]["id_Pago"] = "";
	$placeHoldersreporte_de__pagos["Spanish"]["id_Pago"] = "";
	$fieldLabelsreporte_de__pagos["Spanish"]["fecha_Pago"] = "Fecha Pago";
	$fieldToolTipsreporte_de__pagos["Spanish"]["fecha_Pago"] = "";
	$placeHoldersreporte_de__pagos["Spanish"]["fecha_Pago"] = "";
	$fieldLabelsreporte_de__pagos["Spanish"]["nro_derecho"] = "Nro Derecho";
	$fieldToolTipsreporte_de__pagos["Spanish"]["nro_derecho"] = "";
	$placeHoldersreporte_de__pagos["Spanish"]["nro_derecho"] = "";
	$fieldLabelsreporte_de__pagos["Spanish"]["estado_Pago"] = "Estado Pago";
	$fieldToolTipsreporte_de__pagos["Spanish"]["estado_Pago"] = "";
	$placeHoldersreporte_de__pagos["Spanish"]["estado_Pago"] = "";
	$fieldLabelsreporte_de__pagos["Spanish"]["gestion"] = "Gestion";
	$fieldToolTipsreporte_de__pagos["Spanish"]["gestion"] = "";
	$placeHoldersreporte_de__pagos["Spanish"]["gestion"] = "";
	$fieldLabelsreporte_de__pagos["Spanish"]["CI"] = "CI";
	$fieldToolTipsreporte_de__pagos["Spanish"]["CI"] = "";
	$placeHoldersreporte_de__pagos["Spanish"]["CI"] = "";
	$fieldLabelsreporte_de__pagos["Spanish"]["SOCIO"] = "SOCIO";
	$fieldToolTipsreporte_de__pagos["Spanish"]["SOCIO"] = "";
	$placeHoldersreporte_de__pagos["Spanish"]["SOCIO"] = "";
	$fieldLabelsreporte_de__pagos["Spanish"]["total_bs"] = "Total Bs";
	$fieldToolTipsreporte_de__pagos["Spanish"]["total_bs"] = "";
	$placeHoldersreporte_de__pagos["Spanish"]["total_bs"] = "";
	$fieldLabelsreporte_de__pagos["Spanish"]["nro_Acciones"] = "Nro Acciones";
	$fieldToolTipsreporte_de__pagos["Spanish"]["nro_Acciones"] = "";
	$placeHoldersreporte_de__pagos["Spanish"]["nro_Acciones"] = "";
	$fieldLabelsreporte_de__pagos["Spanish"]["utilidad_gestion"] = "Utilidad Gestion";
	$fieldToolTipsreporte_de__pagos["Spanish"]["utilidad_gestion"] = "";
	$placeHoldersreporte_de__pagos["Spanish"]["utilidad_gestion"] = "";
	if (count($fieldToolTipsreporte_de__pagos["Spanish"]))
		$tdatareporte_de__pagos[".isUseToolTips"] = true;
}


	$tdatareporte_de__pagos[".NCSearch"] = true;



$tdatareporte_de__pagos[".shortTableName"] = "reporte_de__pagos";
$tdatareporte_de__pagos[".nSecOptions"] = 0;

$tdatareporte_de__pagos[".mainTableOwnerID"] = "";
$tdatareporte_de__pagos[".entityType"] = 2;
$tdatareporte_de__pagos[".connId"] = "titulo_at_localhost";


$tdatareporte_de__pagos[".strOriginalTableName"] = "acciones_pago";

	



$tdatareporte_de__pagos[".showAddInPopup"] = false;

$tdatareporte_de__pagos[".showEditInPopup"] = false;

$tdatareporte_de__pagos[".showViewInPopup"] = false;

$tdatareporte_de__pagos[".listAjax"] = false;
//	temporary
//$tdatareporte_de__pagos[".listAjax"] = false;

	$tdatareporte_de__pagos[".audit"] = false;

	$tdatareporte_de__pagos[".locking"] = false;


$pages = $tdatareporte_de__pagos[".defaultPages"];

if( $pages[PAGE_EDIT] ) {
	$tdatareporte_de__pagos[".edit"] = true;
	$tdatareporte_de__pagos[".afterEditAction"] = 1;
	$tdatareporte_de__pagos[".closePopupAfterEdit"] = 1;
	$tdatareporte_de__pagos[".afterEditActionDetTable"] = "";
}

if( $pages[PAGE_ADD] ) {
$tdatareporte_de__pagos[".add"] = true;
$tdatareporte_de__pagos[".afterAddAction"] = 1;
$tdatareporte_de__pagos[".closePopupAfterAdd"] = 1;
$tdatareporte_de__pagos[".afterAddActionDetTable"] = "";
}

if( $pages[PAGE_LIST] ) {
	$tdatareporte_de__pagos[".list"] = true;
}



$tdatareporte_de__pagos[".strSortControlSettingsJSON"] = "";




if( $pages[PAGE_VIEW] ) {
$tdatareporte_de__pagos[".view"] = true;
}

if( $pages[PAGE_IMPORT] ) {
$tdatareporte_de__pagos[".import"] = true;
}

if( $pages[PAGE_EXPORT] ) {
$tdatareporte_de__pagos[".exportTo"] = true;
}

if( $pages[PAGE_PRINT] ) {
$tdatareporte_de__pagos[".printFriendly"] = true;
}



$tdatareporte_de__pagos[".showSimpleSearchOptions"] = true; // temp fix #13449

// Allow Show/Hide Fields in GRID
$tdatareporte_de__pagos[".allowShowHideFields"] = true; // temp fix #13449
//

// Allow Fields Reordering in GRID
$tdatareporte_de__pagos[".allowFieldsReordering"] = true; // temp fix #13449
//

$tdatareporte_de__pagos[".isUseAjaxSuggest"] = true;





$tdatareporte_de__pagos[".ajaxCodeSnippetAdded"] = false;

$tdatareporte_de__pagos[".buttonsAdded"] = false;

$tdatareporte_de__pagos[".addPageEvents"] = false;

// use timepicker for search panel
$tdatareporte_de__pagos[".isUseTimeForSearch"] = false;


$tdatareporte_de__pagos[".badgeColor"] = "008B8B";


$tdatareporte_de__pagos[".allSearchFields"] = array();
$tdatareporte_de__pagos[".filterFields"] = array();
$tdatareporte_de__pagos[".requiredSearchFields"] = array();

$tdatareporte_de__pagos[".googleLikeFields"] = array();
$tdatareporte_de__pagos[".googleLikeFields"][] = "id_Pago";
$tdatareporte_de__pagos[".googleLikeFields"][] = "fecha_Pago";
$tdatareporte_de__pagos[".googleLikeFields"][] = "nro_derecho";
$tdatareporte_de__pagos[".googleLikeFields"][] = "estado_Pago";
$tdatareporte_de__pagos[".googleLikeFields"][] = "gestion";
$tdatareporte_de__pagos[".googleLikeFields"][] = "SOCIO";
$tdatareporte_de__pagos[".googleLikeFields"][] = "total_bs";
$tdatareporte_de__pagos[".googleLikeFields"][] = "nro_Acciones";
$tdatareporte_de__pagos[".googleLikeFields"][] = "utilidad_gestion";



$tdatareporte_de__pagos[".tableType"] = "report";

$tdatareporte_de__pagos[".printerPageOrientation"] = 0;
$tdatareporte_de__pagos[".nPrinterPageScale"] = 100;

$tdatareporte_de__pagos[".nPrinterSplitRecords"] = 40;

$tdatareporte_de__pagos[".geocodingEnabled"] = false;

//report settings

$tdatareporte_de__pagos[".reportPrintGroupsPerPage"] = 3;
$tdatareporte_de__pagos[".reportPrintRecordsPerPage"] = 40;

$tdatareporte_de__pagos[".pageSizeGroups"] = 5;
$tdatareporte_de__pagos[".pageSizeRecords"] = 20;


//end of report settings






$tdatareporte_de__pagos[".noRecordsFirstPage"] = true;




$tstrOrderBy = "";
$tdatareporte_de__pagos[".strOrderBy"] = $tstrOrderBy;

$tdatareporte_de__pagos[".orderindexes"] = array();


$tdatareporte_de__pagos[".sqlHead"] = "SELECT id_Pago,  	fecha_Pago,  	nro_derecho,  	estado_Pago,  	gestion,  	CI,  	SOCIO,  	total_bs,  	nro_Acciones,  	utilidad_gestion";
$tdatareporte_de__pagos[".sqlFrom"] = "FROM acciones_pago";
$tdatareporte_de__pagos[".sqlWhereExpr"] = "";
$tdatareporte_de__pagos[".sqlTail"] = "";










//fill array of records per page for list and report without group fields
$arrRPP = array();
$arrRPP[] = 10;
$arrRPP[] = 20;
$arrRPP[] = 30;
$arrRPP[] = 50;
$arrRPP[] = 100;
$arrRPP[] = 500;
$arrRPP[] = -1;
$tdatareporte_de__pagos[".arrRecsPerPage"] = $arrRPP;

//fill array of groups per page for report with group fields
$arrGPP = array();
$arrGPP[] = 1;
$arrGPP[] = 3;
$arrGPP[] = 5;
$arrGPP[] = 10;
$arrGPP[] = 50;
$arrGPP[] = 100;
$arrGPP[] = -1;
$tdatareporte_de__pagos[".arrGroupsPerPage"] = $arrGPP;

$tdatareporte_de__pagos[".highlightSearchResults"] = true;

$tableKeysreporte_de__pagos = array();
$tdatareporte_de__pagos[".Keys"] = $tableKeysreporte_de__pagos;


$tdatareporte_de__pagos[".hideMobileList"] = array();




//	id_Pago
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 1;
	$fdata["strName"] = "id_Pago";
	$fdata["GoodName"] = "id_Pago";
	$fdata["ownerTable"] = "acciones_pago";
	$fdata["Label"] = GetFieldLabel("Reporte_de__pagos","id_Pago");
	$fdata["FieldType"] = 3;


	
	
			

		$fdata["strField"] = "id_Pago";

		$fdata["sourceSingle"] = "id_Pago";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "id_Pago";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["report"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
							
	
//	End validation

	
	
	
	
	
	$fdata["EditFormats"]["search"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatareporte_de__pagos["id_Pago"] = $fdata;
		$tdatareporte_de__pagos[".searchableFields"][] = "id_Pago";
//	fecha_Pago
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 2;
	$fdata["strName"] = "fecha_Pago";
	$fdata["GoodName"] = "fecha_Pago";
	$fdata["ownerTable"] = "acciones_pago";
	$fdata["Label"] = GetFieldLabel("Reporte_de__pagos","fecha_Pago");
	$fdata["FieldType"] = 135;


	
	
			

		$fdata["strField"] = "fecha_Pago";

		$fdata["sourceSingle"] = "fecha_Pago";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "fecha_Pago";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Short Date");

	
	
	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["report"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Date");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
		$edata["DateEditType"] = 13;
	$edata["InitialYearFactor"] = 100;
	$edata["LastYearFactor"] = 10;

	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
//	End validation

	
	
	
	
	
	$fdata["EditFormats"]["search"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Between";

			// the default search options list
				$fdata["searchOptionsList"] = array("Equals", "More than", "Less than", "Between", EMPTY_SEARCH, NOT_EMPTY );
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatareporte_de__pagos["fecha_Pago"] = $fdata;
		$tdatareporte_de__pagos[".searchableFields"][] = "fecha_Pago";
//	nro_derecho
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 3;
	$fdata["strName"] = "nro_derecho";
	$fdata["GoodName"] = "nro_derecho";
	$fdata["ownerTable"] = "acciones_pago";
	$fdata["Label"] = GetFieldLabel("Reporte_de__pagos","nro_derecho");
	$fdata["FieldType"] = 14;


	
	
			

		$fdata["strField"] = "nro_derecho";

		$fdata["sourceSingle"] = "nro_derecho";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "nro_derecho";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Number");

	
	
	
	
	
	
	
		$vdata["DecimalDigits"] = 0;

	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["report"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
							
	
//	End validation

	
	
	
	
	
	$fdata["EditFormats"]["search"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatareporte_de__pagos["nro_derecho"] = $fdata;
		$tdatareporte_de__pagos[".searchableFields"][] = "nro_derecho";
//	estado_Pago
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 4;
	$fdata["strName"] = "estado_Pago";
	$fdata["GoodName"] = "estado_Pago";
	$fdata["ownerTable"] = "acciones_pago";
	$fdata["Label"] = GetFieldLabel("Reporte_de__pagos","estado_Pago");
	$fdata["FieldType"] = 200;


	
	
			

		$fdata["strField"] = "estado_Pago";

		$fdata["sourceSingle"] = "estado_Pago";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "estado_Pago";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["report"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=255";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
//	End validation

	
	
	
	
	
	$fdata["EditFormats"]["search"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatareporte_de__pagos["estado_Pago"] = $fdata;
		$tdatareporte_de__pagos[".searchableFields"][] = "estado_Pago";
//	gestion
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 5;
	$fdata["strName"] = "gestion";
	$fdata["GoodName"] = "gestion";
	$fdata["ownerTable"] = "acciones_pago";
	$fdata["Label"] = GetFieldLabel("Reporte_de__pagos","gestion");
	$fdata["FieldType"] = 200;


	
	
			

		$fdata["strField"] = "gestion";

		$fdata["sourceSingle"] = "gestion";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "gestion";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["report"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=255";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
//	End validation

	
	
	
	
	
	$fdata["EditFormats"]["search"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatareporte_de__pagos["gestion"] = $fdata;
		$tdatareporte_de__pagos[".searchableFields"][] = "gestion";
//	CI
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 6;
	$fdata["strName"] = "CI";
	$fdata["GoodName"] = "CI";
	$fdata["ownerTable"] = "acciones_pago";
	$fdata["Label"] = GetFieldLabel("Reporte_de__pagos","CI");
	$fdata["FieldType"] = 201;


	
	
			

		$fdata["strField"] = "CI";

		$fdata["sourceSingle"] = "CI";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "CI";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["report"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 0;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
//	End validation

		$edata["CreateThumbnail"] = true;
	$edata["StrThumbnail"] = "th";
			$edata["ThumbnailSize"] = 600;

	
	
	
	
	$fdata["EditFormats"]["search"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatareporte_de__pagos["CI"] = $fdata;
		$tdatareporte_de__pagos[".searchableFields"][] = "CI";
//	SOCIO
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 7;
	$fdata["strName"] = "SOCIO";
	$fdata["GoodName"] = "SOCIO";
	$fdata["ownerTable"] = "acciones_pago";
	$fdata["Label"] = GetFieldLabel("Reporte_de__pagos","SOCIO");
	$fdata["FieldType"] = 201;


	
	
			

		$fdata["strField"] = "SOCIO";

		$fdata["sourceSingle"] = "SOCIO";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "SOCIO";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["report"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 0;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
//	End validation

		$edata["CreateThumbnail"] = true;
	$edata["StrThumbnail"] = "th";
			$edata["ThumbnailSize"] = 600;

	
	
	
	
	$fdata["EditFormats"]["search"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatareporte_de__pagos["SOCIO"] = $fdata;
		$tdatareporte_de__pagos[".searchableFields"][] = "SOCIO";
//	total_bs
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 8;
	$fdata["strName"] = "total_bs";
	$fdata["GoodName"] = "total_bs";
	$fdata["ownerTable"] = "acciones_pago";
	$fdata["Label"] = GetFieldLabel("Reporte_de__pagos","total_bs");
	$fdata["FieldType"] = 14;


	
	
			

		$fdata["strField"] = "total_bs";

		$fdata["sourceSingle"] = "total_bs";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "total_bs";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Number");

	
	
	
	
	
	
	
		$vdata["DecimalDigits"] = 2;

	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["report"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
							
	
//	End validation

	
	
	
	
	
	$fdata["EditFormats"]["search"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatareporte_de__pagos["total_bs"] = $fdata;
		$tdatareporte_de__pagos[".searchableFields"][] = "total_bs";
//	nro_Acciones
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 9;
	$fdata["strName"] = "nro_Acciones";
	$fdata["GoodName"] = "nro_Acciones";
	$fdata["ownerTable"] = "acciones_pago";
	$fdata["Label"] = GetFieldLabel("Reporte_de__pagos","nro_Acciones");
	$fdata["FieldType"] = 14;


	
	
			

		$fdata["strField"] = "nro_Acciones";

		$fdata["sourceSingle"] = "nro_Acciones";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "nro_Acciones";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Number");

	
	
	
	
	
	
	
		$vdata["DecimalDigits"] = 0;

	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["report"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
							
	
//	End validation

	
	
	
	
	
	$fdata["EditFormats"]["search"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatareporte_de__pagos["nro_Acciones"] = $fdata;
		$tdatareporte_de__pagos[".searchableFields"][] = "nro_Acciones";
//	utilidad_gestion
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 10;
	$fdata["strName"] = "utilidad_gestion";
	$fdata["GoodName"] = "utilidad_gestion";
	$fdata["ownerTable"] = "acciones_pago";
	$fdata["Label"] = GetFieldLabel("Reporte_de__pagos","utilidad_gestion");
	$fdata["FieldType"] = 14;


	
	
			

		$fdata["strField"] = "utilidad_gestion";

		$fdata["sourceSingle"] = "utilidad_gestion";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "utilidad_gestion";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Number");

	
	
	
	
	
	
	
		$vdata["DecimalDigits"] = 2;

	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["report"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
							
	
//	End validation

	
	
	
	
	
	$fdata["EditFormats"]["search"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatareporte_de__pagos["utilidad_gestion"] = $fdata;
		$tdatareporte_de__pagos[".searchableFields"][] = "utilidad_gestion";


$tables_data["Reporte de  pagos"]=&$tdatareporte_de__pagos;
$field_labels["Reporte_de__pagos"] = &$fieldLabelsreporte_de__pagos;
$fieldToolTips["Reporte_de__pagos"] = &$fieldToolTipsreporte_de__pagos;
$placeHolders["Reporte_de__pagos"] = &$placeHoldersreporte_de__pagos;
$page_titles["Reporte_de__pagos"] = &$pageTitlesreporte_de__pagos;


changeTextControlsToDate( "Reporte de  pagos" );

// -----------------start  prepare master-details data arrays ------------------------------//
// tables which are detail tables for current table (master)

//if !@TABLE.bReportCrossTab

$detailsTablesData["Reporte de  pagos"] = array();
//endif

// tables which are master tables for current table (detail)
$masterTablesData["Reporte de  pagos"] = array();



// -----------------end  prepare master-details data arrays ------------------------------//



require_once(getabspath("classes/sql.php"));











function createSqlQuery_reporte_de__pagos()
{
$proto0=array();
$proto0["m_strHead"] = "SELECT";
$proto0["m_strFieldList"] = "id_Pago,  	fecha_Pago,  	nro_derecho,  	estado_Pago,  	gestion,  	CI,  	SOCIO,  	total_bs,  	nro_Acciones,  	utilidad_gestion";
$proto0["m_strFrom"] = "FROM acciones_pago";
$proto0["m_strWhere"] = "";
$proto0["m_strOrderBy"] = "";
	
		;
			$proto0["cipherer"] = null;
$proto2=array();
$proto2["m_sql"] = "";
$proto2["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto2["m_column"]=$obj;
$proto2["m_contained"] = array();
$proto2["m_strCase"] = "";
$proto2["m_havingmode"] = false;
$proto2["m_inBrackets"] = false;
$proto2["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto2);

$proto0["m_where"] = $obj;
$proto4=array();
$proto4["m_sql"] = "";
$proto4["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto4["m_column"]=$obj;
$proto4["m_contained"] = array();
$proto4["m_strCase"] = "";
$proto4["m_havingmode"] = false;
$proto4["m_inBrackets"] = false;
$proto4["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto4);

$proto0["m_having"] = $obj;
$proto0["m_fieldlist"] = array();
						$proto6=array();
			$obj = new SQLField(array(
	"m_strName" => "id_Pago",
	"m_strTable" => "acciones_pago",
	"m_srcTableName" => "Reporte de  pagos"
));

$proto6["m_sql"] = "id_Pago";
$proto6["m_srcTableName"] = "Reporte de  pagos";
$proto6["m_expr"]=$obj;
$proto6["m_alias"] = "";
$obj = new SQLFieldListItem($proto6);

$proto0["m_fieldlist"][]=$obj;
						$proto8=array();
			$obj = new SQLField(array(
	"m_strName" => "fecha_Pago",
	"m_strTable" => "acciones_pago",
	"m_srcTableName" => "Reporte de  pagos"
));

$proto8["m_sql"] = "fecha_Pago";
$proto8["m_srcTableName"] = "Reporte de  pagos";
$proto8["m_expr"]=$obj;
$proto8["m_alias"] = "";
$obj = new SQLFieldListItem($proto8);

$proto0["m_fieldlist"][]=$obj;
						$proto10=array();
			$obj = new SQLField(array(
	"m_strName" => "nro_derecho",
	"m_strTable" => "acciones_pago",
	"m_srcTableName" => "Reporte de  pagos"
));

$proto10["m_sql"] = "nro_derecho";
$proto10["m_srcTableName"] = "Reporte de  pagos";
$proto10["m_expr"]=$obj;
$proto10["m_alias"] = "";
$obj = new SQLFieldListItem($proto10);

$proto0["m_fieldlist"][]=$obj;
						$proto12=array();
			$obj = new SQLField(array(
	"m_strName" => "estado_Pago",
	"m_strTable" => "acciones_pago",
	"m_srcTableName" => "Reporte de  pagos"
));

$proto12["m_sql"] = "estado_Pago";
$proto12["m_srcTableName"] = "Reporte de  pagos";
$proto12["m_expr"]=$obj;
$proto12["m_alias"] = "";
$obj = new SQLFieldListItem($proto12);

$proto0["m_fieldlist"][]=$obj;
						$proto14=array();
			$obj = new SQLField(array(
	"m_strName" => "gestion",
	"m_strTable" => "acciones_pago",
	"m_srcTableName" => "Reporte de  pagos"
));

$proto14["m_sql"] = "gestion";
$proto14["m_srcTableName"] = "Reporte de  pagos";
$proto14["m_expr"]=$obj;
$proto14["m_alias"] = "";
$obj = new SQLFieldListItem($proto14);

$proto0["m_fieldlist"][]=$obj;
						$proto16=array();
			$obj = new SQLField(array(
	"m_strName" => "CI",
	"m_strTable" => "acciones_pago",
	"m_srcTableName" => "Reporte de  pagos"
));

$proto16["m_sql"] = "CI";
$proto16["m_srcTableName"] = "Reporte de  pagos";
$proto16["m_expr"]=$obj;
$proto16["m_alias"] = "";
$obj = new SQLFieldListItem($proto16);

$proto0["m_fieldlist"][]=$obj;
						$proto18=array();
			$obj = new SQLField(array(
	"m_strName" => "SOCIO",
	"m_strTable" => "acciones_pago",
	"m_srcTableName" => "Reporte de  pagos"
));

$proto18["m_sql"] = "SOCIO";
$proto18["m_srcTableName"] = "Reporte de  pagos";
$proto18["m_expr"]=$obj;
$proto18["m_alias"] = "";
$obj = new SQLFieldListItem($proto18);

$proto0["m_fieldlist"][]=$obj;
						$proto20=array();
			$obj = new SQLField(array(
	"m_strName" => "total_bs",
	"m_strTable" => "acciones_pago",
	"m_srcTableName" => "Reporte de  pagos"
));

$proto20["m_sql"] = "total_bs";
$proto20["m_srcTableName"] = "Reporte de  pagos";
$proto20["m_expr"]=$obj;
$proto20["m_alias"] = "";
$obj = new SQLFieldListItem($proto20);

$proto0["m_fieldlist"][]=$obj;
						$proto22=array();
			$obj = new SQLField(array(
	"m_strName" => "nro_Acciones",
	"m_strTable" => "acciones_pago",
	"m_srcTableName" => "Reporte de  pagos"
));

$proto22["m_sql"] = "nro_Acciones";
$proto22["m_srcTableName"] = "Reporte de  pagos";
$proto22["m_expr"]=$obj;
$proto22["m_alias"] = "";
$obj = new SQLFieldListItem($proto22);

$proto0["m_fieldlist"][]=$obj;
						$proto24=array();
			$obj = new SQLField(array(
	"m_strName" => "utilidad_gestion",
	"m_strTable" => "acciones_pago",
	"m_srcTableName" => "Reporte de  pagos"
));

$proto24["m_sql"] = "utilidad_gestion";
$proto24["m_srcTableName"] = "Reporte de  pagos";
$proto24["m_expr"]=$obj;
$proto24["m_alias"] = "";
$obj = new SQLFieldListItem($proto24);

$proto0["m_fieldlist"][]=$obj;
$proto0["m_fromlist"] = array();
												$proto26=array();
$proto26["m_link"] = "SQLL_MAIN";
			$proto27=array();
$proto27["m_strName"] = "acciones_pago";
$proto27["m_srcTableName"] = "Reporte de  pagos";
$proto27["m_columns"] = array();
$proto27["m_columns"][] = "id_Pago";
$proto27["m_columns"][] = "fecha_Pago";
$proto27["m_columns"][] = "nro_derecho";
$proto27["m_columns"][] = "estado_Pago";
$proto27["m_columns"][] = "gestion";
$proto27["m_columns"][] = "CI";
$proto27["m_columns"][] = "SOCIO";
$proto27["m_columns"][] = "total_bs";
$proto27["m_columns"][] = "nro_Acciones";
$proto27["m_columns"][] = "utilidad_gestion";
$obj = new SQLTable($proto27);

$proto26["m_table"] = $obj;
$proto26["m_sql"] = "acciones_pago";
$proto26["m_alias"] = "";
$proto26["m_srcTableName"] = "Reporte de  pagos";
$proto28=array();
$proto28["m_sql"] = "";
$proto28["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto28["m_column"]=$obj;
$proto28["m_contained"] = array();
$proto28["m_strCase"] = "";
$proto28["m_havingmode"] = false;
$proto28["m_inBrackets"] = false;
$proto28["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto28);

$proto26["m_joinon"] = $obj;
$obj = new SQLFromListItem($proto26);

$proto0["m_fromlist"][]=$obj;
$proto0["m_groupby"] = array();
$proto0["m_orderby"] = array();
$proto0["m_srcTableName"]="Reporte de  pagos";		
$obj = new SQLQuery($proto0);

	return $obj;
}
$queryData_reporte_de__pagos = createSqlQuery_reporte_de__pagos();


	
		;

										

$tdatareporte_de__pagos[".sqlquery"] = $queryData_reporte_de__pagos;



$tdatareporte_de__pagos[".hasEvents"] = false;

?>